[meta:date:2016-05-09]

[general]
* **New license key**: You will receive a new license key with the customer mailing. In the course of the update you have to enter this key. If the new key is not available during the update, then a temporary key can be obtained ad-hoc via the Internet. Its duration is 60 days with full functionality. If your Internet access is blocked, then request your key from i-net software. *Without a new key the update cannot be performed.*
* **No more Java applet** to run in web browser.
  * **Important:** **Supporters must use the Java desktop client (HelpDesk.jnlp) (which was also available before).**
  * *Ground*: The technology NPAPI used for Java applets is not future-proof. Google Chrome and MS Edge already no longer support NPAPI. Mozilla will remove NPAPI support from Firefox by the end of 2016.
* **Java 8** required for HelpDesk server.
  * On Windows, i-net HelpDesk comes with its own Java VM 8.
  * On Linux, you must deploy Java 8 yourself before updating.
  * Furthermore, under Linux, make sure that the directory `/tmp` (storage space for temporary data) is at least 2 GB.
* **Java 7** or higher required for the Java desktop client.
* **Integrated web server (Jetty)**
  * Provides SSL support as well as the possibility of multiple HelpDesk instances (on Windows).
* **Change of call URL**
  * Previous favorite links or the saved `HelpDesk.jnlp` file no longer work.
  * Create a new favorite link or save the `HelpDesk.jnlp` file again.
  * The following URLs are valid (depending on the web server used):
    * *startpage of i-net HelpDesk*
      * Integrated Jetty web server (recommended): `http://server`
      * MS IIS and Apache: `http://server/helpdesk`
        * Apache: Apache proxy must be configured.
    * *Java desktop client for supporters*
      * Integrated Jetty web server (recommended): `http://server/jnlp/helpdesk`
      * MS IIS: `http://server/helpdesk/default.aspx/jnlp/helpdesk`
      * Apache: `http://server/helpdesk/jnlp/helpdesk` (Apache proxy must be configured.)
    * *Web client (HTML5) for end users/customers*
      * Integrated Jetty web server (recommended): `http://server/htmlclient`
      * MS IIS: `http://server/helpdesk/default.aspx/htmlclient`
      * Apache: `http://server/helpdesk/htmlclient` (Apache proxy must be configured.)
  * Email templates with a call URL to the ticket are updated automatically only if the URL contains the <%HdHost%> placeholder. In this case, the placeholder <%ServerURL%> is set, which can be specified via `Web configuration > Communication > Auto emails > Call URL of i-net HelpDesk server` and which automatically passes the value when the template is called. If you have entered a fixed URL here, we recommend using the placeholder <%ServerURL%>.
* **Integrated Windows Authentication** (Single Sign-on, SSO) *is only possible via the integrated Jetty web server.*
  * If you are using MS IIS and want SSO, then you need to address the HelpDesk server directly on its default port 8002 (port must be accessible to clients):
    * `http://servername:8002/jnlp/helpdesk`
  * **Note:** Port 8002 is the default port, which may be different in your specific case. Check the settings in `Web Configuration > General > Web Server`.
* **System requirements for all browser-based applications**
  * Chrome, Safari or Firefox in the latest version (as of 09-2016)
  * IE11 or MS Edge
* **New web client in HTML5** for end users/customers
  * Completely new layout.
  * Individual customizations possible, e.g. a profile picture.
  * Improved editor, among others screenshots and tables can be inserted.
  * New functions
    * Text modules available (previously only in the Java client).
    * Supervisor function included (previously only in Java client).
    * Dynamically displayed search results.
* **Web applications** replace the previous HelpDesk Management Console and offer extended functions
  * *Prerequisite for access*: The right to the respective web application must have been granted, e.g. as part of membership in the `Administrators` group.
  * The web applications are called up in the browser via the start page:
    * `http://servername/remote` (if the integrated Jetty web server is used)
    * `http://servername:8002/remote` (if MS IIS or Apache is used as web server)
  * **'Users and Groups' (formerly User Manager)**: manages users and groups including the assignment of permissions and group memberships.
    * Rights management is no longer done in the HelpDesk client.
    * In the HelpDesk client, the menu command `Manage users and groups` automatically redirects to the `Home > Users and groups`.
    * The `Organizational user` user attribute is no longer applicable. Users that have not been imported via a connection remain unchanged. To delete users, the 'Maintenance' application provides the appropriate options.
    * **Note when updating from HelpDesk version 7.x:** (There were no group rights here yet)
      * Work with rights for groups in the future.
      * When updating from HelpDesk version 7.x, each combination of rights of a user is transferred to a separate group. Check the possibility to consolidate groups.
      * HelpDesk users with all rights are automatically added to the "Administrators" group.
        * Check the accounts included in "Administrators".
        * The 'Administrators' group has full access to all new features in HelpDesk.
  * **'Web Configuration' (formerly i-net HelpDesk MMC)**: Interface to manage the configuration of the server. All settings concerning security, server customizations, report exports and components can be made here.
    * The config file *ServerProperties* is no longer required. All settings are automatically transferred to the web configuration by the update.
  * *Data Import'*: Application to import and synchronize user and device data from external LDAP directories and databases once or periodically.
  * *'Maintenance'*: Maintenance of the server including backup and restore.
    * **Important:** Review your backup scenario. If you are not using a snapshot procedure, then HelpDesk database (in DBMS) and HelpDesk configuration (via 'Maintenance') must be backed up.
  * *'Report Designer'*: The i-net Designer can be used to create report templates for execution on the server. It runs as a standalone application without installation.
  * *'Ad-hoc Reports'*: This easy-to-use web application allows you to create and run simple reports yourself.
  * *'Repository'*: see the next item for more details
* **Repository** new administration for reports
  * In the repository (managed directory) the report files are stored, described and managed (e.g. assignment of access rights).
  * The location is on the HelpDesk server in the application data directory.
  * The 'Repository' application is accessed via the web console.
  * Three important structures exist:
    - All reports displayed in the 'Reports' module in the current HelpDesk version 7.x will continue to be displayed after the update.
    - New reports from version 8.0 are NOT displayed, but are located in the Reports directory, subfolder 'New Reports'.
    - Report files you may not have wanted in the past (and therefore deleted) and additional reports added via version updates will still NOT be displayed. The reports are located in the "_hidden" subfolder.
  * **Note when updating from HelpDesk version 7.x:** The previous option of assigning selected rights per report no longer applies. Instead, you should adjust the directory structure for the reports so that a folder in the structure is assigned the rights for a group.
  * In the repository, you can read a short description for each report in the comment and decide whether this report should be made available for display in the HelpDesk "Reports" module.
* **Changed storage location for application data**
  * Program data will continue to be stored in the programs directory.
  * Changed program data (e.g. attachments, email templates, report files, custom program images) will be stored on the HelpDesk server in the *application data* directory:
    * Windows: `C:\ProgramData\i-net software\\helpdesk_System_i-net HelpDesk`
    * Linux: `/home/helpdesk/.i-net software/helpdesk_System_i-net HelpDesk`
    * Mac: `/var/root/.i-net software/helpdesk_System_i-net HelpDesk`
    * **Note:** If you had already configured an alternative storage path for attachments for HelpDesk version 7.x, then this path will be used as "root" and the structure `helpdesk_System_i-net HelpDesk` will be created below it.
* **Linux: changed location for program data**
  * The program data is moved from /opt/i-net_HelpDesk/ to /usr/share/i-net-helpdesk/.
* **Plug-in architecture** for greater flexibility
  * Plug-ins can be used to turn functions on or off as needed. For example, the "Supporter Chat" plug-in could be turned on. An example for switching off would be the plug-in "Remote Designer", if you don't want to create your own reports.
  * The setup is done in the `Web Configuration > Components > Plug-Ins`.
* **Apache**
  * If you use the i-net HelpDesk server with Apache, then the Apache proxy is accessed from HelpDesk version 8.0. For this it is necessary to activate the modules "rewrite", "proxy_http" and "headers". This is done under Linux with the command "a2enmod" and under XAMP by editing the httpd.conf.
  * If this has not been done before starting Apache, an error message will be displayed with a corresponding note.
  * httpd.conf:
```
#LoadModule proxy_http_module <>/mod_proxy_http.so
#LoadModule rewrite_module <>/mod_rewrite.so
#LoadModule headers_module <>/headers_http.so
```
  * To do: remove "#" or rewrite the lines.
  
* **Auto escalation and deadline warning lights**: The thresholds for automatic escalation warning are no longer calculated dynamically based on the highest priorities, but you can fix the thresholds to the warning statuses "yellow" and "red" for automatic escalation and deadline in the `Web Configuration > General > Tickets`.
* **Field 'User name' changes to the tab Request or Order**. The user for the ticket can also be changed there (right must exist). The tab User data still shows all user data. User data can be changed here as before (right must exist).
* **The field 'TicketID' is displayed next to the field 'Order number' in the order data.
* **Changes to user rights**: Entry is made in the server log (previously in the client log).  
* **64-bit version** of the i-net HelpDesk server.
* Need for **64-bit ODBC data source** for access to MS Access or MS Excel.
  * Previously, data from MS Access or MS Excel could be imported via a 32-bit ODBC data source. Windows already provided the appropriate drivers to configure the ODBC data source.
  * You have to install the 64-bit drivers for MS Access and MS Excel first, e.g. by installing the free "Microsoft Access Database Engine 2010 Redistributable".
    * [https://www.microsoft.com/de-de/download/confirmation.aspx?id=13255]
  * Create a new system DSN with identical names, pointing to the same MS Access or MS Excel file.
* **Windows Server 2003** is no longer supported.
* The **OS X installation** provides an entry in the `System Settings` program. From there the server can be started and stopped and the start page can be accessed. Here the i-net HelpDesk Server is also registered as a service.

[general:de]
* **Neuer Lizenz-Schlüssel**: Sie erhalten mit dem Kunden-Mailing einen neuen Lizenzschlüssel. Im Verlauf des Updates müssen Sie diesen Schlüssel eingeben. Wenn beim Update der neue Schlüssel nicht verfügbar ist, dann kann über das Internet Ad-hoc ein temporärer Schlüssel bezogen werden. Dessen Laufzeit beträgt 60 Tage bei voller Funktionalität. Ist Ihr Internetzugang gesperrt, dann fordern Sie bei i-net software Ihren Schlüssel an. *Ohne neuen Schlüssel kann das Update nicht durchgeführt werden.* 
* **Kein Java-Applet** mehr für die Ausführung im Webbrowser.
  * **Wichtig:** **Supporter müssen den (auch bisher bereits verfügbaren) Java-Desktop-Client (HelpDesk.jnlp) nutzen.**
  * *Grund*: Die für Java-Applets verwendete Technologie NPAPI ist nicht zukunftssicher. Google Chrome und MS Edge unterstützen NPAPI bereits nicht mehr. Mozilla entfernt bis Ende 2016 aus Firefox die NPAPI-Unterstützung.
* **Java 8** für den HelpDesk-Server erforderlich.
  * Unter Windows bringt der i-net HelpDesk eine eigene Java VM 8 mit.
  * Unter Linux müssen Sie vor dem Update selbst Java 8 bereitstellen.
  * Achten Sie unter Linux desweiteren darauf, dass das Verzeichnis `/tmp` (Speicherplatz für temporäre Daten) mindestens 2 GB groß ist.
* **Java 7** oder höher für den Java-Desktop-Client notwendig.
* **Integrierter Webserver (Jetty)**
  * Bietet SSL-Unterstützung sowie die Möglichkeit mehrerer HelpDesk-Instanzen (unter Windows).
* **Änderung der Aufruf-URL**
  * Bisherige Favoriten-Links oder die gespeicherte Datei `HelpDesk.jnlp` funktionieren nicht mehr.
  * Legen Sie einen neuen Favoriten-Link an bzw. speichern Sie die Datei "HelpDesk.jnlp" neu ab.
  * Folgende URLs gelten (in Abhängigkeit des eingesetzten Webservers):
    * *Startseite des i-net HelpDesk*
      * Integrierter Jetty-Webserver (empfohlen): `http://server`
      * MS IIS und Apache: `http://server/helpdesk`
        * Apache: Proxy des Apache muss konfiguriert sein.
    * *Java Desktop-Client für Supporter*
      * Integrierter Jetty-Webserver (empfohlen): `http://server/jnlp/helpdesk`
      * MS IIS: `http://server/helpdesk/default.aspx/jnlp/helpdesk`
      * Apache: `http://server/helpdesk/jnlp/helpdesk`  (Proxy des Apache muss konfiguriert sein.)
    * *Web-Client (HTML5) für Endanwender/Kunden*
      * Integrierter Jetty-Webserver (empfohlen): `http://server/htmlclient`
      * MS IIS: `http://server/helpdesk/default.aspx/htmlclient`
      * Apache: `http://server/helpdesk/htmlclient` (Proxy des Apache muss konfiguriert sein.)
  * E-Mail-Templates mit einer Aufruf-URL zum Ticket werden nur automatisch aktualisiert, wenn in der URL der Platzhalter <%HdHost%> enthalten ist. In diesem Fall wird der Platzhalter <%ServerURL%> gesetzt, der festgelegt werden kann über `Web-Konfiguration > Kommunikation > Auto-E-Mails > Aufruf-URL des i-net HelpDesk Servers`  und der beim Aufruf des Templates automatisch den Wert übergibt. Sollten Sie hier eine feste URL eingetragen haben, dann empfehlen wir den Platzhalter <%ServerURL%> zu verwenden.
* **Integrierte Windows-Authentifizierung** (Single Sign-on, SSO) *ist nur über den integrierten Jetty-Webserver möglich.*
  * Falls Sie den MS IIS verwenden und SSO wünschen, dann müssen Sie den HelpDesk-Server direkt auf seinem Default-Port 8002 ansprechen (Port muss für die Clients zugänglich sein):
    * `http://servername:8002/jnlp/helpdesk`
  * **Hinweis:** Port 8002 ist der Default-Port, der im konkreten Fall bei Ihnen anders lauten kann. Kontrollieren Sie die Einstellungen in der `Web-Konfiguration > Allgemein > Webserver`.
* **Systemvoraussetzungen für alle Browser-basierten Anwendungen**
  * Chrome, Safari oder Firefox in der jeweils aktuellen Version (Stand 09-2016)
  * IE11 oder MS Edge
* **Neuer Web-Client in HTML5** für Endanwender/Kunden
  * Komplett neues Layout.
  * Individuelle Anpassungen möglich, z.B. ein Profilbild.
  * Verbesserter Editor, u.a. können Screenshots und Tabellen eingefügt werden.
  * Neue Funktionen
    * Textbausteine verfügbar (bisher nur im Java-Client).
    * Supervisor-Funktion enthalten (bisher nur im Java-Client).
    * Dynamisch angezeigte Suchergebnisse.
* **Web-Anwendungen** ersetzen die bisherige HelpDesk-Management-Konsole und bieten erweiterte Funktionen
  * *Voraussetzung für den Zugriff*: Das Recht auf die jeweilige Web-Anwendung muss gewährt worden sein, z.B. im Rahmen der Mitgliedschaft in der Gruppe `Administrators`.
  * Der Aufruf der Web-Anwendungen im Browser erfolgt über die Startseite:
    * `http://servername/remote` (wenn der integrierte Jetty-Webserver verwendet wird)
    * `http://servername:8002/remote` (wenn als Webserver  MS IIS oder Apache genutzt wird)
  * **'Benutzer und Gruppen' (ehemals Benutzer-Manager)**: verwaltet Benutzer und Gruppen inklusive der Vergabe von Berechtigungen und Gruppenmitgliedschaften.
    * Die Rechteverwaltung erfolgt nicht mehr im HelpDesk-Client.
    * Im HelpDesk-Client leitet der Menübefehl `Benutzer und Gruppen verwalten` automatisch in die `Startseite > Benutzer und Gruppen` weiter.
    * Das Benutzer-Attribut "Organisatorischer Benutzer" entfällt. Benutzer, die nicht über eine Verbindung importiert wurden, bleiben unverändert. Zum Löschen von Benutzern bietet die Anwendung 'Wartung' die entsprechenden Möglichkeiten.
    * **Hinweis bei einem Update von der HelpDesk-Version 7.x:** (Hier gab es noch keine Gruppenrechte.)
      * Arbeiten Sie künftig mit Rechten für Gruppen.
      * Bei einem Update von der HelpDesk-Version 7.x wird jede Rechte-Kombination eines Benutzers in eine eigene Gruppe überführt. Prüfen Sie die Möglichkeit Gruppen zu konsolidieren.
      * HelpDesk-Benutzer mit allen Rechten werden automatisch in die Gruppe "Administrators" aufgenommen.
        * Überprüfen Sie die in "Administrators" enthaltenen Konten.
        * Die Gruppe "Administrators" besitzt vollen Zugriff auf alle neuen Funktionen im HelpDesk.
  * **'Web-Konfiguration' (ehemals i-net HelpDesk-MMC)**: Oberfläche zum Verwalten der Konfiguration des Servers. Alle Einstellungen zum Thema der Sicherheit, Serveranpassungen, Berichtsexporte und Komponenten können hier vorgenommen werden.
    * Die Konfig-Datei *ServerProperties* entfällt. Alle Einstellungen werden werden vom Update automatisch in die Web-Konfiguration übernommen.
  * *'Datenimport'*: Anwendung zum einmaligen oder regelmäßigen Importieren und Synchronisieren von Benutzer- und Gerätedaten aus externen LDAP-Verzeichnissen und Datenbanken.
  * *'Wartung'*: Wartung des Servers inklusive Sicherung und Wiederherstellung.
    * **Wichtig:** Überprüfen Sie Ihre Backup-Szenario. Falls Sie nicht mit einem Snapshot-Verfahren arbeiten, dann müssen HelpDesk-Datenbank (im DBMS) und HelpDesk-Konfiguration (über die 'Wartung') gesichert werden.
  * *'Berichtsdesigner'*: Mit dem i-net Designer lassen sich Berichtstemplates zur Ausführung auf dem Server erstellen. Er läuft als eigenständige Anwendung ohne Installation.
  * *'Ad-hoc-Berichte'*: Mit dieser leicht bedienbaren Web-Applikation können Sie einfache Berichte selbst erstellen und ausführen.
  * *'Repository'*: siehe dazu den nächsten Punkt
* **Repository** neue Verwaltung für Berichte
  * Im Repository (verwaltetes Verzeichnis) werden die Berichtsdateien gespeichert, beschrieben und verwaltet (z.B. Vergabe von Zugriffsrechten).
  * Speicherort ist auf dem HelpDesk-Server im Verzeichnis der Anwendungsdaten.
  * Die Anwendung 'Repository' wird über die Web-Konsole aufgerufen.
  * Drei wichtige Strukturen bestehen:
    - Alle in der aktuellen HelpDesk-Version 7.x im Modul "Berichte" angezeigten Reports werden auch nach dem Update weiterhin angezeigt.
    - Neue Berichte der Version 8.0 werden NICHT angezeigt, sondern befinden sich im Reports-Verzeichnis, Unterordner "New Reports".
    - Die von Ihnen in der Vergangenheit eventuell nicht gewünschten (und daher gelöschten) Berichtsdateien sowie zusätzliche Berichte, die über Versions-Updates hinzugekommen sind, werden weiterhin NICHT angezeigt. Die Berichte befinden sich im Unterordner "_hidden".
  * **Hinweis bei einem Update von der HelpDesk-Version 7.x:** Die bisherige Möglichkeit pro Bericht ausgewählte Rechte zu vergeben entfällt. Statt dessen sollten Sie die Verzeichnisstruktur für die Berichte so anpassen, dass einem Ordner in der Struktur die Rechte für eine Gruppe zugewiesen werden.
  * Im Repository können Sie zu jedem Bericht eine Kurzbeschreibung im Kommentar lesen und entscheiden, ob dieser Bericht für die Anzeige im HelpDesk-Modul "Berichte" zur Verfügung gestellt werden sollte.
* **Geänderter Speicherort für Anwendungsdaten**
  * Programmdaten werden weiterhin im Programme-Verzeichnis abgelegt.
  * Veränderliche Programmdaten (z.B. Anlagen, E-Mail-Templates, Report-Dateien, eigene Programmbilder) werden auf dem HelpDesk-Server im *Verzeichnis für Anwendungsdaten* gespeichert:
    * Windows: `C:\\ProgramData\\i-net software\\helpdesk_System_i-net HelpDesk`
    * Linux: `/home/helpdesk/.i-net software/helpdesk_System_i-net HelpDesk`
    * Mac: `/var/root/.i-net software/helpdesk_System_i-net HelpDesk`
    * **Hinweis:** Wenn Sie bereits für die HelpDesk-Version 7.x einen alternativen Speicherpfad für Anlagen konfiguriert hatten, dann wird dieser Pfad als "root" verwendet und darunter die Struktur `helpdesk_System_i-net HelpDesk` erzeugt.
* **Linux: geänderter Speicherort für Programmdaten**
  * Die Programmdaten werden verschoben aus /opt/i-net_HelpDesk/ nach /usr/share/i-net-helpdesk/.
* **Plug-In-Architektur** für eine größere Flexibilität
  * Mit Plug-Ins können Funktionen je nach Bedarf an -bzw. abgeschaltet werden. Angeschaltet werden könnte z.B. das Plug-In "Supporter-Chat". Ein Beispiel für das Abschalten wäre das Plug-In "Remotedesigner", falls man keine eigenen Berichte erstellen will.
  * Die Einrichtung erfolgt in der `Web-Konfiguration > Komponenten > Plug-Ins`. 
* **Apache**
  * Wenn Sie den i-net HelpDesk-Server mit Apache nutzen, dann wird ab HelpDesk-Version 8.0 auf den Proxy des Apache zugegriffen. Dazu ist es nötig, dass Sie die Module "rewrite", "proxy_http" und "headers" aktiveren. Dies geschieht unter Linux mit dem Befehl "a2enmod" und unter XAMP durch bearbeiten der httpd.conf.
  * Sollte dies nicht vor dem Starten des Apaches erfolgt sein, wird eine Fehlermeldung mit entsprechendem Hinweis ausgegeben. 
  * httpd.conf:
```
#LoadModule proxy_http_module <>/mod_proxy_http.so
#LoadModule rewrite_module <>/mod_rewrite.so
#LoadModule headers_module <>/headers_http.so
```
  * Zu tun: "#" entfernen oder die Zeilen neu schreiben.
  
* **Warnampel für automatische Eskalation und Deadline**: Die Schwellwerte für die Warnung bei automatischer Eskalation werden nicht mehr dynamisch anhand der höchsten Prioritäten berechnet, sondern die Schwellwerte zu den Warnstatus "Gelb" und "Rot" für automatische Eskalation und Deadline können Sie fest vorgeben in der `Web-Konfiguration > Allgemein > Tickets`.
* **Feld 'Benutzername' wechselt auf den Tab Anfrage bzw. Auftrag**. Der Benutzer für das Ticket kann dort auch geändert werden (Recht muss bestehen). Der Tab Benutzerdaten zeigt weiterhin alle Benutzerdaten an. Benutzerdaten können hier wie bisher geändert werden (Recht muss vorliegen).
* **Feld 'TicketID'** wird bei den Auftragsdaten neben dem Feld 'Auftragsnummer' angezeigt.
* **Änderungen an den Benutzerrechten**: Eintrag erfolgt im Server-Log (bisher im Protokoll der Clients).  
* **64-Bit-Version** des i-net HelpDesk-Servers.
* Notwendigkeit einer **64-Bit ODBC-Datenquelle** für Zugriff auf MS Access oder MS Excel.
  * Bisher konnten Daten aus MS Access oder MS Excel über eine 32-Bit ODBC-Datenquelle importiert werden. Die entsprechenden Treiber zum Konfigurieren der ODBC-Datenquelle brachte Windows bereits mit.
  * Die 64-Bit Treiber für MS Access und MS Excel müssen Sie erst installieren, z.B. durch die Installation der kostenfreien "Microsoft Access Database Engine 2010 Redistributable".
    * [https://www.microsoft.com/de-de/download/confirmation.aspx?id=13255]
  * Legen Sie eine neue System-DSN mit identischen Namen an, die auf die selbe MS Access bzw. MS Excel-Datei verweist.
* **Windows Server 2003** wird nicht mehr unterstützt.
* Die **OS X Installation** stellt einen Eintrag im Programm `Systemeinstelllungen` zur Verfügung. Von dort aus kann der Server gestartet und gestoppt werden sowie die Startseite aufgerufen werden. Hier wird der i-net HelpDesk Server auch als Dienst registriert.

[changes]
* **Identical attachments**, e.g. images, are **only saved once**.
  * Images embedded in the text or logos in the signature are not displayed in the "Attachments" tab by default, just as duplicate attachments are only displayed once. Duplicate attachments are always when the bit comparison of the files gives an identical result.
  * In parentheses you can see the number of hidden files. Uncheck the checkbox to have the image files as well as the duplicate attachments displayed in the "Attachments" tab.
* **Inventory** Attachments: The **Inventory** module offers the possibility to store one or more attachments per configuration item (CI).
* **Text module definition**: Graphics can be added.  
* **Central dictionary**
  * In addition to the previous two interfaces for general and for a user dictionary, the HelpDesk spell checker now also offers an interface for a central 'subject dictionary'.
  * Include in a file 'subject words' that are relevant for all HelpDesk users in the company. Alternatively, you can import the entries from your own (well maintained) previous user dictionary.
* **Intelligent handling of e-mail undeliverable messages**
  * Incoming e-mails are checked for bounce messages ([https://de.wikipedia.org/wiki/Bounce_Message]) and, if necessary, placed as such on an internal "list" maintained only in memory.
  * The sender addresses of these e-mails are either temporarily or permanently not accepted as recipients of auto-emails, depending on the type of error.
    * more than 100 emails on one ticket > 12 hours block (for this ticket)
    * Memory problems (account or server full) > 3 hours (for the address)
    * 550 5.7.1 Unable to relay > 3 hours (for the address)
* **Set Deadline** - The suggested time is about 45 min. in the future (and not in the past as before).
* Menu **Resources**: **Request to delete** resources that have tickets and/or sub-resources
  * Any remaining open tickets can be moved to another resource.
  * The supporter's resource membership can be retained, so that a supporter search on old tickets of this resource would still be successful.
* **Resource Only Dialog**: When creating a new job, **minimizing the dialog** and thus accessing other modules such as the knowledge base are possible. An optionally activated stop clock remains active.
* **Bundle tickets**: If the master ticket is terminated, then all slave tickets are also terminated.
* **User selection list**: Double click is supported
* **SSL connection for LDAP (LDAPS)** possible, e.g. interesting for user import from Active Directory (`Web Configuration > General > Connections`)
* **Request list**: Display of bundled requests (end user/customer)
* **Quick-Ticket and display in knowledge base**: A new order via Quick-Ticket is no longer published in the knowledge base. If, on the other hand, a Quick Ticket is applied to an existing(!) order, then the setting made in the order regarding the display in the knowledge base is retained.
* **link** in the ticket: **file link** (UNC path or drive) to a file is possible
  * If no identical file exists, then the image is displayed as usual in the "Attachments" tab with its file name.
* **Web client**: **Scripts** of the customers are supported. But: Realization would have to be done by i-net software and would have to be paid for
* **Support** for **Skype** and **Facetime**.
  * With the Links-Addon it is now possible to open Skype or Facetime. For this you have to use the syntax "tel:" or "skype:" in the link, e.g. "skype:<%phone%>?call"
* **Mail in interface**: **PriID** is now also evaluated for existing jobs.
* **Auto mail on "resubmission" at time itself**, NOT 24h before anymore
* **report "order_detail.rpt "** now also contains the names of possible attachments

[changes:de]
* **Identische Anlagen**, z.B. Bilder, werden **nur noch einmal gespeichert**.
  * Im Text eingebettete Bilder oder Logos in der Signatur werden standardmäßig im Tab "Anlagen" nicht angezeigt, ebenso wie doppelte Anlagen nur einmal dargestellt werden. Doppelt sind Anlagen immer wenn, wenn der Bitvergleich der Dateien ein identisches Ergebnis liefert.
  * In Klammern sehen Sie die Anzahl der ausgeblendeten Dateien. Deaktivieren Sie die Checkbox, um die Bilddateien sowie die doppelten Anlagen im Tab "Anlagen" angezeigt zu erhalten.
* **Anlagen im Inventar**: Das Modul **Inventar** bietet die Möglichkeit pro Konfigurationselement (CI) ein oder mehrere Anlagen zu hinterlegen.
* **Textbaustein-Definition**: Grafiken können hinzugefügt werden.  
* **Zentrales Wörterbuch**
  * Die HelpDesk-Rechtschreibprüfung bietet neben den bisherigen beiden Schnittstellen für Allgemeines und für ein Benutzer-Wörterbuch, nun auch eine Schnittstelle für ein zentrales 'Fach-Wörterbuch'.
  * Nehmen Sie in eine Datei ‚Fach-Wörter‘ auf, die für alle HelpDesk-Benutzer des Unternehmens relevant sind. Alternativ können Sie die Einträge auch aus Ihrem eigenen (gut gepflegten) bisherigen Benutzer-Wörterbuch importieren.
* **Intelligente Behandlung von E-Mail-Unzustellbarkeitsnachrichten**
  * Eingehenden E-Mails werden auf Bounce Messages ([https://de.wikipedia.org/wiki/Bounce_Message]) überprüft und gegebenenfalls als solche auf eine interne "Liste" gesetzt, die nur im Arbeitsspeicher verwaltet wird.
  * Die Absender-Adressen dieser E-Mails werden je nach Fehlerart zeitlich begrenzt oder permanent nicht als Empfänger von Auto-E-Mails akzeptiert.
    * mehr als 100 E-Mails auf ein Ticket > 12 Stunden Sperre (für dieses Ticket)
    * Speicherprobleme (Konto oder Server voll) > 3 Stunden (für die Adresse)
    * 550 5.7.1 Unable to relay > 3 Stunden (für die Adresse)
* **Deadline setzen** – Die vorgeschlagene Uhrzeit liegt ca. 45 min. in der Zukunft (und nicht mehr in der Vergangenheit wie bisher).
* Menü **Ressourcen**: **Nachfrage beim Löschen** von Ressourcen, die Tickets und/oder Unter-Ressourcen besitzen
  * Eventuell noch vorhandene offene Tickets können zu einer anderen Ressource verschoben werden.
  * Die Ressource-Mitgliedschaft des Supporters kann beibehalten werden, so dass eine Suche des Supporters zu alten Tickets dieser Ressource weiterhin erfolgreich wäre.
* **Nur-Ressource-Dialog**: Beim Anlegen eines neuen Auftrages sind das **Minimieren des Dialogs** und damit der Zugriff auf andere Module wie z.B. der Wissensbasis möglich. Eine optional aktivierte Stopp-Uhr bleibt aktiv.
* **Bündel-Tickets**: Wenn das Master-Ticket beendet wird, dann werden auch alle Slave-Tickets beendet.
* **Benutzer-Auswahl-Liste**: Doppelklick wird unterstützt
* **SSL-Verbindung bei LDAP (LDAPS)** möglich, z.B. interessant für User-Import aus dem Active Directory (`Web-Konfiguration > Allgemein > Verbindungen`)
* **Anfragenliste**: Anzeige gebündelter Aufträge (Endanwender/Kunde)
* **Quick-Ticket und Anzeige in der Wissensbasis**: Ein neuer Auftrag via Quick-Ticket wird nicht mehr in der Wissensbasis veröffentlicht. Wendet man dagegen auf einen bestehenden(!) Auftrag ein Quick-Ticket an, dann bleibt die im Auftrag getroffene Einstellung bezüglich der Anzeige in der Wissensbasis erhalten.
* **Verlinkung** im Ticket: **file-Link** (UNC-Pfad oder Laufwerk) zu einer Datei ist möglich
  * Existiert keine identische Datei, dann wird das Bild wie gewohnt im Tab "Anlagen" mit seinem Dateinamen angezeigt. 
* **Web-Client**: **Scripte** der Kunden werden unterstützt. Aber: Realisierung müsste durch i-net software erfolgen und wäre kostenpflichtig
* **Unterstützung** für **Skype** und **Facetime**.
  * Mit dem Links-Addon ist es nun möglich, Skype bzw. Facetime aufzumachen. Dazu muss man im Link die Syntax "tel:" bzw. "skype:" nutzen, z.B. "skype:<%Telefon%>?call"
* **Maileingangsschnittstelle**: **PriID** wird nun auch für bestehende Aufträge ausgewertet.
* **Auto-Mail bei "Wiedervorlage" zum Zeitpunkt selber**, NICHT mehr 24h vorher
* **Bericht "auftrag_detail.rpt"** enthält nun auch die Namen möglicher Anlagen

[bugfixes]
* Reports - Print (job history): If at the end of the text two lines of an edit are wrapped to the next page, the last line is missing on the following page.
* Tab "Inventory": Allow editing and save (if right "Inventory" is set)
* Last editor is assigned with end user name if Auto-Dispatch is a web request. Last editor" is empty for requests via e-mail.
* Web client: A change of title (set `Web configuration > General > Company data`) is not displayed.
* 'Take over ticket' fails if stop-watch is active
* Knowledge base: Copying text and image to external (e.g. MS Outlook) possible if image reference is an absolute URL.
* Resource "Enter message" -> Message box does not pop up when applying Quick-Ticket
* Button on linked tickets missing for read-only access
* Print preview - ticket history, recipient field: line is overwritten if there are many e-mail addresses

[bugfixes:de]
* Berichte – Drucken (Auftragshistorie): Wenn am Textende zwei Zeilen einer Bearbeitung auf die nächste Seite umgebrochen werden, dann fehlt auf der Folgeseite die letzte Zeile.
* Tab "Inventar": Editieren zulassen und speichern (falls Recht "Inventar" gesetzt)
* Letzter Bearbeiter ist mit Enduser-Namen belegt, wenn Auto-Dispatch eine Web-Anfrage ist. Bei Anfrage via E-Mail ist "Letzter Bearbeiter" leer.
* Web-Client: Eine Änderung des Titels (einzustellen `Web-Konfiguration > Allgemein > Firmendaten`) wird nicht angezeigt.
* 'Ticket übernehmen' scheitert, wenn Stopp-Uhr aktiv
* Wissensbasis: Kopieren von Text und Bild nach Extern (z.B. MS Outlook) möglich, wenn die Bild-Referenz eine absolute URL ist.
* Ressource "Nachricht eingeben" -> Message-Box poppt nicht auf bei Quick-Ticket anwenden
* Button auf verlinkte Tickets fehlt bei Nur-Lese-Zugriff 
* Druckvorschau – Tickethistorie, Empfängerfeld: Zeile wird überschrieben bei vielen E-Mail-Adressen

[security]

[security:de]
